Get task by ID
curl --request GET \
--url https://api.trycomp.ai/v1/tasks/{taskId} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/tasks/{taskId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "tsk_abc123def456",
"title": "Implement user authentication",
"description": "Add OAuth 2.0 authentication to the platform",
"status": "in_progress",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}{
"message": "Task with ID tsk_abc123def456 not found"
}Tasks
Get task by ID | Comp AI API
Get task by ID in Comp AI. Manage compliance task lifecycle, assignments, review approvals, evidence uploads, policy links, and activity history.
GET
/
v1
/
tasks
/
{taskId}
Get task by ID
curl --request GET \
--url https://api.trycomp.ai/v1/tasks/{taskId} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/tasks/{taskId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "tsk_abc123def456",
"title": "Implement user authentication",
"description": "Add OAuth 2.0 authentication to the platform",
"status": "in_progress",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}{
"message": "Task with ID tsk_abc123def456 not found"
}Authorizations
API key for authentication
Path Parameters
Unique task identifier
Example:
"tsk_abc123def456"
Response
Task retrieved successfully
Unique identifier for the task
Example:
"tsk_abc123def456"
Task title
Example:
"Implement user authentication"
Task status
Available options:
todo, in_progress, done, blocked Example:
"in_progress"
Task creation timestamp
Example:
"2024-01-15T10:30:00Z"
Task last update timestamp
Example:
"2024-01-15T10:30:00Z"
Cadence for running the integration check attached to this task
Available options:
daily, weekly, monthly, quarterly, yearly Example:
"daily"
Task description
Example:
"Add OAuth 2.0 authentication to the platform"
Task template ID
Example:
"frk_tt_68406e353df3bc002994acef"
Last successful integration check run timestamp
Was this page helpful?

